/////////////////////////////////////////////////////////////////////////
//
// This source shows an example use of the AS/400 Toolbox for Java.
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// AS/400 Toolbox for Java
// (C) Copyright IBM Corp. 1997, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////
//
//  ShowProduct.java -- This program displays the product information
//      for the product chosen by the customer
//
///////////////////////////////////////////////////////////////////////
package customer;

import java.io.*;
import java.sql.*;
import java.util.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.as400.access.*;

public class ShowProduct extends HttpServlet
{

    String imgBase;
    private static boolean debug = true;

    public void doPost (HttpServletRequest req, HttpServletResponse res)
     throws ServletException, IOException
    {
      //  invoke session
      HttpSession s = req.getSession(false);

      //  get custID from session
      String custIDStr   = (String) s.getValue("custIDstr");
      int custID = Integer.valueOf(custIDStr).intValue();

      //  get htmlfile and put it into session
      String htmlFile = req.getParameter("htmlfile");
      s.putValue("htmlfile",htmlFile);

      //  get catalogid and put it into session
      String catalogIDStr = req.getParameter("catalogID");
      int catalogID = Integer.valueOf(catalogIDStr).intValue();
      s.putValue("catalogIDstr",catalogIDStr);

        if (debug)
        {
           System.out.println("custID:   " + custID);
           System.out.println("htmlfile:   " + htmlFile);
           System.out.println("catalogID: " + catalogID);
        }

        String urlStr  = new String(HttpUtils.getRequestURL(req));
        String urlBase = urlStr.substring(0, urlStr.lastIndexOf("/") + 1);
        System.out.println(urlBase);

        ServletOutputStream out = res.getOutputStream();

        res.setContentType("text/html");

        String urlBase2 = "http://" + req.getServerName() + ":"
                             + Integer.toString(req.getServerPort())
                             + "/mypop/";

        // Output the FORM statement
        out.println("<HTML> " +
		    "<TITLE> Shop at My Pop's</TITLE> " +
		    "<BODY BGCOLOR=\"blanchedalmond\" TEXT=\"black\"> " +
		    "<FORM ACTION=\"/servlet/customer.ShowOrder\" METHOD=POST> " +
		    "<INPUT TYPE=hidden name=action value=ADD>" );


        // Get the body of the document
        URL url = new URL(urlBase2 + htmlFile);

        URLConnection c = url.openConnection();
        InputStream in = c.getInputStream();

        byte[] data = new byte[4096];
        int bytesRead = 0;

        while (bytesRead != -1)
        {

            bytesRead = in.read(data);
            if (bytesRead > 0)
            {
                out.write(data, 0, bytesRead);
            }
        }

        // Output the Continue Shopping image


        out.println("<FORM ACTION=\"/servlet/customer.ShowCatalog\" METHOD=POST>");
        //out.println("<INPUT TYPE=hidden name=custID value=" + custID + ">");

	     out.println("<INPUT TYPE=image ALIGN=\"center\" ALT=\"Continue Shopping\" SRC=\"/mypop/pics/shopcart.gif\">" +
                    "<FONT size=4> <strong>Continue Shopping...</strong></FORM>");

        out.println("</FONT></BODY></HTML>");

        // Close the writer
        out.close();
    }


    public String getServletInfo()
    {
        return "AS/400 Show Catalog Servlet";
    }
}
