/////////////////////////////////////////////////////////////////////////
//
// This source shows an example use of the AS/400 Toolbox for Java.
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// AS/400 Toolbox for Java
// (C) Copyright IBM Corp. 1997, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////

package mypop;

import com.ibm.as400.access.*;
import java.sql.*;
import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class CustomerFormServlet extends HttpServlet
{
    private AS400 system = null;
    private ShowFormServlet showForm = null;

    private int actionCode = NEXT;

    private final static int PREVIOUS = 0;
    private final static int NEXT     = 1;



    public void doGet (HttpServletRequest req, HttpServletResponse res)
                       throws ServletException, IOException
    {
        showScreen(req, res);
    }


    public void doPost (HttpServletRequest req, HttpServletResponse res)
     throws ServletException, IOException
    {
        showScreen(req, res);
    }


    public void init(ServletConfig value)
                     throws ServletException
    {
        super.init(value);

        system = HarnessServlet.getSystem();

        if (system != null)
        {
           showForm = new ShowFormServlet(system);
           showForm.setCollection("MYPOP");
           showForm.setQuery("SELECT * FROM MYPOP.CUSTOMER");

           showForm.setIncludeColumn( 9, false);
           showForm.setIncludeColumn(10, false);

           showForm.setColumnName(1, "Customer ID");
           showForm.setColumnName(2, "Last Name");
           showForm.setColumnName(3, "First Name");
           showForm.setColumnName(4, "Street");
           showForm.setColumnName(5, "City");
           showForm.setColumnName(6, "State");
           showForm.setColumnName(7, "Zip Code");
           showForm.setColumnName(8, "Country");

           showForm.setShowHeader(false);

           showForm.setup();
        }
    }


    private void showScreen(HttpServletRequest req, HttpServletResponse res)
                            throws ServletException, IOException
    {
        ServletOutputStream out = res.getOutputStream();

        if (req.getParameter("next.x") != null)
           actionCode = NEXT;
        else if (req.getParameter("previous.x") != null)
           actionCode = PREVIOUS;

        res.setContentType("text/html");

        out.println("<HTML> ");
        out.println("<META HTTP-EQUIV=pragma content=no-cache>");
        out.println("<BODY  BGCOLOR=blanchedalmond TEXT=black>");
        out.println("<TABLE BGCOLOR=blanchedalmond TEXT=black BORDER=0>");

        if (system != null)
        {
           if (actionCode == PREVIOUS)
           {
              showForm.previous(out);
           }

           else
           {
              if (showForm.next(out))
              {
              }
              else
                 out.println("<H3>No More Records</H3>");
           }

           out.println("<FORM> <TR>");

           if (showForm.hasPrevious())
                out.println("<TD><INPUT TYPE=IMAGE  VALUE=previous NAME=previous SRC=\"/mypop/pics/PreviousIcon.gif\"></TD>");
           else
              out.println("<TD><BR></TD>");

           if (showForm.hasNext())
              out.println("<TD><INPUT TYPE=IMAGE  VALUE=next NAME=next   SRC=\"/mypop/pics/NextIcon.gif\"></TD>");

           out.println("</TR></FORM>");
        }
        else
        {
           out.println("<P>Connection to server failed");
        }


        out.println("</TABLE>");
        out.println("</BODY>");
        out.println("</HTML>");

        actionCode = NEXT;

        out.close();
    }

}
