/////////////////////////////////////////////////////////////////////////
//
// This source shows an example use of the AS/400 Toolbox for Java.
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// AS/400 Toolbox for Java
// (C) Copyright IBM Corp. 1997, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////

package mypop;

import com.ibm.as400.access.*;
import java.sql.*;
import java.util.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;


public class CustomerTableServlet extends HttpServlet
{
    private AS400 system = null;
    private ShowTableServlet showTable = null;


    public void doGet (HttpServletRequest req, HttpServletResponse res)
                       throws ServletException, IOException
    {
        showScreen(req, res);
    }


    public void doPost (HttpServletRequest req, HttpServletResponse res)
     throws ServletException, IOException
    {
        showScreen(req, res);
    }


    public void init(ServletConfig value)
                     throws ServletException
    {
        super.init(value);

        system = HarnessServlet.getSystem();

        if (system != null)
        {
           showTable = new ShowTableServlet(system);
           showTable.setCollection("MYPOP");
           showTable.setQuery("SELECT * FROM MYPOP.CUSTOMER");

           showTable.setIncludeColumn( 9, false);
           showTable.setIncludeColumn(10, false);

           showTable.setColumnName(1, "Customer ID");
           showTable.setColumnName(2, "Last Name");
           showTable.setColumnName(3, "First Name");
           showTable.setColumnName(4, "Street");
           showTable.setColumnName(5, "City");
           showTable.setColumnName(6, "State");
           showTable.setColumnName(7, "Zip Code");
           showTable.setColumnName(8, "Country");

           showTable.setShowHeader(false);

           showTable.setup();
        }
    }


    private void showScreen(HttpServletRequest req, HttpServletResponse res)
                            throws ServletException, IOException
    {
        ServletOutputStream out = res.getOutputStream();

        res.setContentType("text/html");

        out.println("<HTML> ");
        out.println("<META HTTP-EQUIV=pragma content=no-cache>");
        out.println("<BODY  BGCOLOR=blanchedalmond TEXT=black>");
        out.println("<TABLE BGCOLOR=blanchedalmond TEXT=black BORDER=1>");

        if (system != null)
        {
           showTable.run(out);
        }
        else
        {
           out.println("<P>Connection to server failed");
        }


        out.println("</TABLE>");
        out.println("</BODY>");
        out.println("</HTML>");

        out.close();
    }

}
