/////////////////////////////////////////////////////////////////////////
//
// This source shows an example use of the AS/400 Toolbox for Java.
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// AS/400 Toolbox for Java
// (C) Copyright IBM Corp. 1997, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////

package mypop;

import com.ibm.as400.access.*;
import com.ibm.as400.vaccess.*;
import com.sun.java.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class DQAlert extends Thread
{
    boolean isJComponent_ = true;

    AS400 system;

    JFrame frame_;

    KeyedDataQueue dq;

    static boolean checkAgain = true;
    boolean emptyLastTime = true;

    public DQAlert(AS400 sys, boolean isJComponent)
    {
        super();

        system = sys;

        isJComponent_ = isJComponent;
    }


    public static void main (String[] args)
    {
        // If a system was not specified, then display help text and
        // exit.
        if (args.length == 0)
        {
            System.out.println("Usage: java DQAlert <system>");
            return;
        }

        try
        {
           AS400 sys = new AS400(args[0]);

           if (args.length > 1)
              sys.setUserId(args[1]);

           if (args.length > 2)
              sys.setPassword(args[2]);

           DQAlert alert = new DQAlert(sys, false);

           alert.run();
        }
        catch (Exception e)
        {
           System.out.println("Failed in DQAlert (main)");
           e.printStackTrace();
        }
    }



    public void setFrame(JFrame frame)
    {
        frame_ = frame;
    }


    public void run()
    {
        try
        {

            byte[] zero = new byte[] {0,0,0,0};

            Thread.sleep(5000);

            // Create a VMessageQueue object which represents the
            // current user's message queue.
            dq = new KeyedDataQueue(system, "/QSYS.LIB/MYPOP.LIB/WAREHOUSE.DTAQ");

            boolean Continue = true;

            while (Continue)
            {
               boolean unhandledEntries = true;

               KeyedDataQueueEntry dqData = dq.peek(zero, -1, "GE");

               Popup p = new Popup(" ", "Wake up Frank, there is work to do!", " ", false);
               p.run();

               HistoryLog.refreshDocument();

               while (unhandledEntries)
               {
                  Thread.sleep(30000);

                  KeyedDataQueueEntry x = dq.peek(zero, 0, "GE");

                  if (x == null)
                     unhandledEntries = false;
               }
            }
        }
        catch (Exception e)
        {
            System.out.println ("Error: " + e.getMessage ());
            if (!isJComponent_) {
                System.exit (0);
            }
        }
    }

    static public void queueEmpty()
    {
       checkAgain = true;
    }
}
