/////////////////////////////////////////////////////////////////////////
//
// This source shows an example use of the AS/400 Toolbox for Java.
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// AS/400 Toolbox for Java
// (C) Copyright IBM Corp. 1997, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////

package mypop;

import com.ibm.as400.access.*;
import java.sql.*;
import java.util.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class HarnessServlet extends Object
{
    private static AS400 system = null;

    private HarnessServlet() { }

    public static AS400 getSystem()
    {
       try
       {
          if (system == null)
          {
             system = new AS400();

             ResourceBundle rb = ResourceBundle.getBundle("mypop.mypop");

             String s = rb.getString("SYSTEM");

             if (s != null)
                system.setSystemName(s);
             else
             {
                System.out.println("Setup failed, could not get AS/400 name out of mypop.properties");
             }

             String p = rb.getString("FRANKPWD");

             if (p != null)
                system.setPassword(p);
             else
             {
                System.out.println("Setup failed, could not get Frank's password out of mypop.properties");
             }

             system.setUserId("FRANK");

             system.connectService(AS400.DATABASE);
             system.connectService(AS400.FILE);
             system.addPasswordCacheEntry(s, "FRANK", p);

          }
       }
       catch (Exception e)
       {
          System.out.println("Failed, could not find mypop.properties");
          e.printStackTrace();
          system = null;
       }

       return system;
    }

    public static AS400 getSystem(ServletOutputStream out)
    {
       try
       {
          if (system == null)
          {
             system = new AS400();

             ResourceBundle rb = ResourceBundle.getBundle("mypop.mypop");

             String s = rb.getString("SYSTEM");

             if (s != null)
                system.setSystemName(s);
             else
             {
                out.println("<P>Setup failed, could not get AS/400 name out of mypop.properties");
             }

             String p = rb.getString("FRANKPWD");

             if (p != null)
                system.setPassword(p);
             else
             {
                out.println("<P>Setup failed, could not get Frank's password out of mypop.properties");
             }

             system.setUserId("FRANK");

             system.connectService(AS400.DATABASE);
             system.connectService(AS400.FILE);
             system.addPasswordCacheEntry(s, "FRANK", p);

          }
       }
       catch (Exception e)
       {
          try {
             out.println("<P>Failed, could not find mypop.properties");
             out.println("<P>" + e.getMessage());
          } catch (Exception e2) {}

          e.printStackTrace();
          system = null;
       }

       return system;
    }
}
