/////////////////////////////////////////////////////////////////////////
//
// This source shows an example use of the AS/400 Toolbox for Java.
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// AS/400 Toolbox for Java
// (C) Copyright IBM Corp. 1997, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////

package mypop;

import com.ibm.as400.access.*;
import java.sql.*;
import java.util.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;


public class MessageQueueServlet extends HttpServlet
{
    private AS400 system = null;
    private MessageQueue mq = null;
    private MessageQueue mypopmq;
    private Enumeration messageList = null;
    private Hashtable   messageKeys = null;
    private int messagesInList = 0;


    public void doGet (HttpServletRequest req, HttpServletResponse res)
                       throws ServletException, IOException
    {
        showScreen(req, res);
    }


    public void doPost (HttpServletRequest req, HttpServletResponse res)
     throws ServletException, IOException
    {
        showScreen(req, res);
    }


    public void init(ServletConfig value)
                     throws ServletException
    {
        super.init(value);

        system = HarnessServlet.getSystem();

        if (system != null)
        {
           mq      = new MessageQueue(system, MessageQueue.CURRENT);
           mypopmq = new MessageQueue(system, "/QSYS.LIB/QUSRSYS.LIB/MYPOP.MSGQ");
        }
    }


    private void showScreen(HttpServletRequest req, HttpServletResponse res)
                            throws ServletException, IOException
    {
        String action = req.getParameter("send");

        String status = null;

        if (action != null)
        {
           String text = req.getParameter("text");

           if (text != null)
           {
              try
              {
                 mypopmq.sendInformational(text);
                 status = "Message Sent";
              }
              catch (Exception e) { status = "Send Failed: " + e.getMessage(); }
           }
           else
              status = "Must Enter Message Text";
        }
        else
        {
           for (int j = 0; j < messagesInList; j++)
           {
              if (req.getParameter(new Integer(j).toString()) != null)
              {
                 try
                 {
                    byte[] key = (byte[]) messageKeys.get(new Integer(j));

                    if (key != null)
                       mq.remove(key);

                    status = "Message removed";
                 }
                 catch (Exception e) { status = "Delete Failed: " + e.getMessage(); }
              }
           }
        }



        ServletOutputStream out = res.getOutputStream();

        res.setContentType("text/html");

        out.println("<HTML> ");
        out.println("<META HTTP-EQUIV=pragma content=no-cache>");
        out.println("<BODY  BGCOLOR=blanchedalmond TEXT=black>");


        if (status != null)
           out.println("<P>" + status + " <BR><HR><BR>");

        out.println("<FORM>");
        out.println("<INPUT TYPE=SUBMIT VALUE=\"Send Message To Mypop\"  NAME=send><BR>");
        out.println("<UL>Message: <INPUT TYPE=text   size=50 maxlength=80    NAME=text></UL>");

        out.println("<HR><BR>");
        try
        {
           if ((system != null) && (mq != null))
           {
              messageList = mq.getMessages();
              messageKeys = new Hashtable();

              int i = 0;
              messagesInList = 0;

              if (messageList.hasMoreElements())
              {
                 while (messageList.hasMoreElements())
                 {
                    Integer I = new Integer(i);

                    out.println("<INPUT TYPE=SUBMIT VALUE=delete  NAME=" + I.toString() + ">");

                    QueuedMessage msg = (QueuedMessage) messageList.nextElement();

                    out.println(msg.getText() + " <BR>" +
                                "<B>Date Sent</B>: " + msg.getDate().getTime().toString() + " <BR>" +
                                "<B>From: </B>" + msg.getUser() + "<BR><P><BR>");

                    messageKeys.put(I, msg.getKey());

                    i++;
                    messagesInList++;
                 }
              }
              else
                 out.println("<P>No messages");
           }
           else
              out.println("<P>Connection to server failed");
        }
        catch (Exception e)
        {
           out.println("<P>Connection to server failed");
        }


        out.println("</FORM>");
        out.println("</BODY>");
        out.println("</HTML>");

        out.close();
    }

}
