/////////////////////////////////////////////////////////////////////////
//
// This source shows an example use of the AS/400 Toolbox for Java.
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// AS/400 Toolbox for Java
// (C) Copyright IBM Corp. 1997, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////

package mypop;

import com.ibm.as400.access.*;
import java.sql.*;
import java.util.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;


public class OrdersRecordsServlet extends HttpServlet
{
    private AS400 system = null;
    private ShowRecordsServlet showRecords = null;


    public void doGet (HttpServletRequest req, HttpServletResponse res)
                       throws ServletException, IOException
    {
        showScreen(req, res);
    }


    public void doPost (HttpServletRequest req, HttpServletResponse res)
                        throws ServletException, IOException
    {
        showScreen(req, res);
    }


    public void init(ServletConfig value)
                     throws ServletException
    {
        super.init(value);

        system = HarnessServlet.getSystem();

        if (system != null)
        {
           showRecords = new ShowRecordsServlet(system, "/QSYS.LIB/MYPOP.LIB/ORDERS.FILE");

           showRecords.setColumnName(0, "Order ID");
           showRecords.setColumnName(1, "Customer ID");
           showRecords.setColumnName(2, "Catalog ID");
           showRecords.setColumnName(3, "Units Ordered");
           showRecords.setColumnName(4, "$$$");
           showRecords.setColumnName(5, "Date Ordered");
           showRecords.setColumnName(6, "Date Shipped");

           showRecords.setShowHeader(false);

           showRecords.setup();
        }
    }


    private void showScreen(HttpServletRequest req, HttpServletResponse res)
                            throws ServletException, IOException
    {
        ServletOutputStream out = res.getOutputStream();

        res.setContentType("text/html");

        out.println("<HTML> ");
        out.println("<META HTTP-EQUIV=pragma content=no-cache>");
        out.println("<BODY  BGCOLOR=blanchedalmond TEXT=black>");
        out.println("<TABLE BGCOLOR=blanchedalmond TEXT=black BORDER=1>");

        if (system != null)
        {
           showRecords.run(out);
        }
        else
        {
           out.println("<P>Connection to server failed");
        }


        out.println("</TABLE>");
        out.println("</BODY>");
        out.println("</HTML>");

        out.close();
    }

}
