/////////////////////////////////////////////////////////////////////////
//
// This source shows an example use of the AS/400 Toolbox for Java.
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// AS/400 Toolbox for Java
// (C) Copyright IBM Corp. 1997, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////

package mypop;

import com.ibm.as400.access.*;
import com.ibm.as400.vaccess.*;
import com.sun.java.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class Popup extends JComponent
{
    public static final int INITIAL_WIDTH = 250;
    public static final int INITIAL_HEIGHT = 250;

    boolean isJComponent_ = true;

    String message_;
    String message2_;
    String message3_;

    JFrame frame_;

    public Popup(String message, boolean isJComponent)
    {
        super();

        isJComponent_ = isJComponent;
        message_      = message;

        if (isJComponent_)
            run();
    }

    public Popup(String message, String message2, boolean isJComponent)
    {
        super();

        isJComponent_ = isJComponent;
        message_      = message;
        message2_     = message2;

        if (isJComponent_)
            run();
    }


    public Popup(String message, String message2, String message3, boolean isJComponent)
    {
        super();

        isJComponent_ = isJComponent;
        message_      = message;
        message2_     = message2;
        message3_     = message3;

        if (isJComponent_)
            run();
    }



    public Popup(String message, boolean isJComponent, JFrame frame)
    {
        super();

        isJComponent_ = isJComponent;
        message_      = message;
        frame_        = frame;
    }


    public static void main (String[] args)
    {
        Popup popup = new Popup("Test message", false);

        popup.run();
    }



    public void run()
    {
        try
        {
            if (!isJComponent_)
            {
                // Create a frame.
                frame_ = new JFrame ("MyPop");

                // When the frame closes, exit.
                frame_.addWindowListener (new WindowAdapter ()
                {
                    public void windowClosing(WindowEvent e)
                    {
                        frame_.dispose();

                        if (!isJComponent_) {
                            System.exit(0);
                        }
                    }
                } );
            }

            // Create an error dialog adapter.  This will display
            // any errors to the user.
            ErrorDialogAdapter errorHandler = new ErrorDialogAdapter (frame_);

            JPanel userPanel = new JPanel();
            userPanel.setLayout (new GridLayout (3,1));


            userPanel.add(createLable(message_));

            if (message2_ != null)
               userPanel.add(createLable(message2_));

            if (message3_ != null)
               userPanel.add(createLable(message3_));


            if (!isJComponent_)
            {
                frame_.getContentPane().add("North", userPanel);
            }
            else
            {
                add("North", userPanel);
            }


            // Create a button for displaying results in a table.
            JButton sendButton = new JButton("OK");
            sendButton.addActionListener(new ActionListener()
            {
                public void actionPerformed(ActionEvent ev)
                {
                   frame_.dispose();
                }
            } );


            // Add the buttons to the GUI.
            JPanel buttonPanel = new JPanel();
            buttonPanel.add(sendButton);

            if (!isJComponent_) {
                frame_.getContentPane().add("South", buttonPanel);
                frame_.setSize(INITIAL_WIDTH, INITIAL_HEIGHT);
                Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
                frame_.setLocation(screenSize.width/2 - INITIAL_WIDTH/2,
                                   screenSize.height/2 - INITIAL_HEIGHT/2);
                frame_.setResizable(true);
                frame_.setVisible(true);
                frame_.pack ();
                frame_.show ();
            }
            else {
                add("South", buttonPanel);
            }
        }
        catch (Exception e)
        {
            System.out.println ("Error: " + e.getMessage ());
            if (!isJComponent_)
            {
                System.exit (0);
            }
        }
    }



    JLabel createLable(String text)
    {
       JLabel label = new JLabel(text, JLabel.CENTER);

       Font f = new Font(label.getFont().getName(),
                         label.getFont().getStyle(),
                         label.getFont().getSize() + 6);

       label.setFont(f);

       return label;
    }

}
