/////////////////////////////////////////////////////////////////////////
//
// This source shows an example use of the AS/400 Toolbox for Java.
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// AS/400 Toolbox for Java
// (C) Copyright IBM Corp. 1997, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////

package mypop;

import com.ibm.as400.access.*;
import com.ibm.as400.vaccess.*;
import com.sun.java.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class PutToAlertQ extends JComponent
{
    String sys_;
    String uid_;
    String pwd_;

    boolean isJComponent_ = true;

    JFrame frame_;

    KeyedDataQueue dq;

    public PutToAlertQ(String sys, String uid, String pwd, boolean isJComponent)
    {
        super();

        sys_ = sys;
        uid_ = uid;
        pwd_ = pwd;

        isJComponent_ = isJComponent;

        if (isJComponent_)
            run();
    }


    public static void main (String[] args)
    {
        // If a system was not specified, then display help text and
        // exit.
        if (args.length == 0)
        {
            System.out.println("Usage: java PutToAlertQ <system>");
            return;
        }

        String strUid = "";
        String strPwd = "";

        if (args.length > 1)
           strUid = args[1];

        if (args.length > 2)
           strPwd = args[2];

        PutToAlertQ alert = new PutToAlertQ(args[0], strUid, strPwd, false);

        alert.run();
    }



    public void setFrame(JFrame frame)
    {
        frame_ = frame;
    }


    public void run()
    {
        try
        {
            // Create an AS400 object.  The system name was passed
            // as the first command line argument.
            AS400 system = new AS400 (sys_);

            if (uid_ != null)
               system.setUserId(uid_);

            if (pwd_ != null)
               system.setPassword(pwd_);

            // Create a VMessageQueue object which represents the
            // current user's message queue.
            dq = new KeyedDataQueue(system, "/QSYS.LIB/MYPOP.LIB/WAREHOUSE.DTAQ");

            int orderID = 2300;
            Integer orderIDInt = new Integer(orderID);
            AS400Bin4 bin4cvt = new AS400Bin4();
            byte[] keyData = bin4cvt.toBytes(orderIDInt);
            String writeData = "bogus data";
            dq.write(keyData, writeData.getBytes());

        }
        catch (Exception e)
        {
            System.out.println ("Error: " + e.getMessage ());
            if (!isJComponent_) {
                System.exit (0);
            }
        }
        System.exit(0);
    }
}
