/////////////////////////////////////////////////////////////////////////
//
// This source shows an example use of the AS/400 Toolbox for Java.
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// AS/400 Toolbox for Java
// (C) Copyright IBM Corp. 1997, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////
//
//  ShowCatalog.java -- This program displays the catalog of products
//       the customer may purchase from
//
///////////////////////////////////////////////////////////////////////

import java.io.*;
import java.sql.*;
import java.util.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.as400.access.*;

public class ShowCatalog extends HttpServlet
{
    String imgBase;
    private static boolean debug = true;
    public static int count=0;

    private static int[] catalogID = new int[50];
    private static String[] htmlfile = new String[50];
    private static String[] imgfile = new String[50];
    private static String[] description = new String[50];


    public static void ReadLayout(String PCfile, String urlBase2) throws IOException {

       // Set up to read from a file
       URL url = new URL(urlBase2 + "layout.txt");
       URLConnection c = url.openConnection();
       InputStream in = c.getInputStream();

       BufferedReader buf = new BufferedReader(new InputStreamReader(in));

       String inString;
       count=0;

       while ((inString=buf.readLine() ) != null)
       {
           // Parse the input string into fields
           int semi = inString.indexOf(";");
           if (semi != -1) {
             catalogID[count] = Integer.valueOf(inString.substring(0, semi).trim()).intValue();
             int semi2 = inString.indexOf(";", semi+1);
             if (semi2 != -1) {
                htmlfile[count] = inString.substring(semi+1, semi2).trim();
             }
             int semi3 = inString.indexOf(";", semi2+1);
             if (semi3 != -1) {
                imgfile[count] = inString.substring(semi2+1, semi3).trim();
             }

             if (semi3 != -1) {
                description[count] = inString.substring(semi3+1).trim();
             }

            // Add 1 to product count
            count++;
           }
       }
    }

    public void doPost (HttpServletRequest req, HttpServletResponse res)
     throws ServletException, IOException
    {
        String custIDStr   = req.getParameter("custID");
        int custID = Integer.valueOf(custIDStr).intValue();

        if (debug)
        {
           System.out.println("custID:   " + custID);
        }

        String urlStr  = new String(HttpUtils.getRequestURL(req));
        String urlBase = urlStr.substring(0, urlStr.lastIndexOf("/") + 1);
        System.out.println(urlBase);

        ServletOutputStream out = res.getOutputStream();

        res.setContentType("text/html");

        String urlBase2 = "http://" + req.getServerName() + ":"
                             + Integer.toString(req.getServerPort())
                             + "/mypop/";


        // Read in the layout file
        ReadLayout("c:\\layout.txt", urlBase2);

        // Layout the header HTML
        out.println(
              "<HTML> "+
              "<TITLE> Shop at My Pop's</TITLE> "+
              "<BODY BGCOLOR=\"blanchedalmond\" TEXT=\"black\"> " +
              "<FONT color=\"mediumvioletred\">" +
              "<H2>Something from A to Z:</H2></FONT>" +
              "<P><i>Click on a product for information and to order</i>" +
              "<BR><BR><TABLE col=3>");

        // For each element read, output the appropriate HTML
        int i;
        for (i=0; i< count; i++) {

           // Check if time for new row
           if (i % 3 == 0)    // Start new row
              out.println("</TR><TR>");

           // Now output columns of each row
           // Output the FORM statement
           out.println(
               "<TD> "+
               "<FORM ACTION=\"/servlet/customer.ShowProduct\" METHOD=POST>" +
               "<INPUT TYPE=hidden name=custID value= " + custID + ">" +
               "<INPUT TYPE=hidden name=catalogID value= " + catalogID[i] + ">" +
               "<INPUT TYPE=hidden name=htmlfile value= " + htmlfile[i] + ">" +
               "<INPUT TYPE=image name=prodsub  WIDTH = 40 HEIGHT = 40 ALIGN=\"left\"  SRC=" + imgfile[i] + ">"+
               "<FONT size=4> <strong>" + description[i] +
               "</FONT></td></FORM>");
        }

        out.println("</TR></TABLE></BODY></HTML>");

        // Close the writer
        out.close();
    }


    public String getServletInfo()
    {
        return "AS/400 Show Catalog Servlet";
    }
}
