/////////////////////////////////////////////////////////////////////////
//
// This source shows an example use of the AS/400 Toolbox for Java.
// IBM grants you a nonexclusive license to use this as an example
// from which you can generate similar function tailored to
// your own specific needs.
//
// This sample code is provided by IBM for illustrative purposes
// only. These examples have not been thoroughly tested under all
// conditions. IBM, therefore, cannot guarantee or imply
// reliability, serviceability, or function of these programs.
//
// All programs contained herein are provided to you "AS IS"
// without any warranties of any kind.  The implied warranties of
// merchantablility and fitness for a particular purpose are
// expressly disclaimed.
//
// AS/400 Toolbox for Java
// (C) Copyright IBM Corp. 1997, 1999
// All rights reserved.
// US Government Users Restricted Rights -
// Use, duplication, or disclosure restricted
// by GSA ADP Schedule Contract with IBM Corp.
//
/////////////////////////////////////////////////////////////////////////

package mypop;

import com.ibm.as400.access.*;
import java.sql.*;
import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ShowTextFileServlet extends Object
{
    private AS400  system;
    private IFSTextFileInputStream file;
    private String fileName;

    private boolean showHeader  = true;

    private ShowTextFileServlet() { }



    public ShowTextFileServlet(AS400 sys)
    {
        system = sys;
    }


    public ShowTextFileServlet(AS400 sys, String f)
    {
        system   = sys;
        fileName = f;
    }


    public void setShowHeader(boolean value)
    {
       showHeader = value;
    }



    public void setup()
    {
     // try
     // {
     // }
     // catch (Exception e)
     // {
     //     System.out.println ("Error in Setup");
     //     e.printStackTrace();
     // }
    }


    public void run(ServletOutputStream out)
                    throws IOException
    {
        try
        {
           file = new IFSTextFileInputStream(system, fileName, IFSFileInputStream.SHARE_ALL);

           out.println("<PRE>");

           boolean Continue = true;

           while (Continue)
           {
              String data = file.read(10240);
              out.println(data);

              if (data.length() < 10240)
                 Continue = false;
           }

           out.println("</PRE>");

           file.close();
        }
        catch (Exception e)
        {
            System.out.println ("Error in Customer Database 2");
            e.printStackTrace();
            out.println("<P>" + e.getMessage());
        }
    }

}
